curl -X GET "https://transaction-tax.api.in.commenda.io/api/v1/address-requirements?country=US" \
-H "Authorization: Bearer <token>"
{
"data": {
"country_code": "US",
"address_line_1": "REQUIRED",
"address_line_2": "OPTIONAL",
"address_line_3": "IGNORED",
"city": "REQUIRED",
"state": "REQUIRED",
"postal_code": "REQUIRED",
"postal_code_regex": "^\\d{5}(-\\d{4})?$",
"valid_state_codes": ["AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "DC"]
},
"message": "Successfully retrieved address requirements."
}
Retrieve the minimum address field requirements for a given country. Use this to determine which address fields are required, optional, or ignored when submitting addresses for tax calculations.
curl -X GET "https://transaction-tax.api.in.commenda.io/api/v1/address-requirements?country=US" \
-H "Authorization: Bearer <token>"
{
"data": {
"country_code": "US",
"address_line_1": "REQUIRED",
"address_line_2": "OPTIONAL",
"address_line_3": "IGNORED",
"city": "REQUIRED",
"state": "REQUIRED",
"postal_code": "REQUIRED",
"postal_code_regex": "^\\d{5}(-\\d{4})?$",
"valid_state_codes": ["AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "DC"]
},
"message": "Successfully retrieved address requirements."
}
curl -X GET "https://transaction-tax.api.in.commenda.io/api/v1/address-requirements?country=US" \
-H "Authorization: Bearer <token>"
{
"data": {
"country_code": "US",
"address_line_1": "REQUIRED",
"address_line_2": "OPTIONAL",
"address_line_3": "IGNORED",
"city": "REQUIRED",
"state": "REQUIRED",
"postal_code": "REQUIRED",
"postal_code_regex": "^\\d{5}(-\\d{4})?$",
"valid_state_codes": ["AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "DC"]
},
"message": "Successfully retrieved address requirements."
}
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A valid 2-letter ISO 3166-1 alpha-2 country code.
"US"
Was this page helpful?